For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTRun Workflow
      • POSTBatch Run Workflow
      • GETGet Workflow Run
      • POSTUpdate Workflow Run
      • POSTCancel Workflow Run
      • DELDelete Workflow Run
      • GETList Workflow Runs
      • POSTCreate Workflow
      • GETGet Workflow
      • POSTUpdate Workflow
      • GETList Workflows
      • POSTCreate Workflow Version
      • GETGet Workflow Version
      • GETList Workflow Versions
  • Webhook Events
LogoLogo
EndpointsWorkflows

Create Workflow Version

POST
/workflows/:id/versions
POST
/workflows/:id/versions
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.workflowVersions.create("workflow_abc123");
1{
2 "object": "workflow_version",
3 "id": "workflow_version_Zk9mNP12Qw4-yTv8BdR3H",
4 "version": "1",
5 "name": "Production v1",
6 "steps": [
7 {
8 "name": "string",
9 "type": "TRIGGER",
10 "next": [
11 {
12 "step": "parse"
13 }
14 ]
15 }
16 ],
17 "createdAt": "2024-03-21T16:45:00Z"
18}

Deploy a new version of a workflow. The deployed version becomes available for running workflow runs.

When steps is omitted, the current draft is deployed as-is. When steps is provided, the given steps are deployed directly without modifying the draft.

Was this page helpful?
Previous

Get Workflow Version

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the workflow to deploy.

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.

Request

This endpoint expects an object.
namestringOptional
An optional name for this deployed version.
stepslist of objectsOptional
Optional step definitions. When provided, these steps are deployed directly without modifying the draft. When omitted, the current draft is deployed. All configurable steps (`EXTRACT`, `CLASSIFY`, `SPLIT`, `CONDITIONAL_EXTRACT`, `RULE_VALIDATION`, `EXTERNAL_DATA_VALIDATION`) must include `config` when deploying. Unconfigured steps are rejected with a 400. See the [Configuring Workflows via API guide](https://docs.extend.ai/2026-02-09/product/workflows/configuring-workflows-via-api) for step definitions, branching patterns, and examples.

Response

Version deployed successfully
objectenum

The type of object. Always "workflow_version".

Allowed values:
idstring
The ID of the workflow version.
versionstring

The version number as a string, or "draft" for the draft version.

namestring or null
The name of the workflow version.
stepslist of objects
The step definitions for this version.
createdAtstringformat: "date-time"

The time (in UTC) at which the object was created. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

Optional step definitions. When provided, these steps are deployed directly without modifying the draft. When omitted, the current draft is deployed.

All configurable steps (EXTRACT, CLASSIFY, SPLIT, CONDITIONAL_EXTRACT, RULE_VALIDATION, EXTERNAL_DATA_VALIDATION) must include config when deploying. Unconfigured steps are rejected with a 400.

See the Configuring Workflows via API guide for step definitions, branching patterns, and examples.